__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseMigrationScript

import app.util
import app.db
import os

class MigrationScript(BaseMigrationScript):
        
    scriptDescription = "Updating IAF name."
    
    def migrate(self):
        with app.db.Database.connect(
            self.cfg.get('DATABASE_TYPE'),
            self.cfg.get('postgres/bind/jdbc/host'),
            self.cfg.get('postgres/bind/jdbc/port'),
            self.cfg.get('DATABASE_NAME'),
            self.cfg.get('DATABASE_USERNAME'),
            self.cfg.get('DATABASE_PASSWORD')) as db:

            db.execute("update integrated_application set name = 'DLM' where name = 'ActionHub'")


