__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Install ActionHub Admin UI"

    def createRuntime(self):
        svcDir   = "/opt/collabnet/teamforge/service/actionhub"
        dataDir  = self.cfg['DATA_DIR']
        appName  = "actionHub"

        app.util.runSystem("rsync -r %s/resource/app/%s %s/cliserver/app/" % (svcDir, "actionHub", dataDir), self.log)
        app.util.runSystem("rsync -r %s/resource/lib/%s %s/cliserver/lib/" % (svcDir, "CNMQ",      dataDir), self.log)
        app.util.runSystem("rsync -r %s/resource/Reports/* %s/cliserver/app/reports/pkg" % (svcDir, dataDir), self.log)
